// (C) Copyright IBM Corporation 2003, 2008
// Assumes that IBM documentation plugins all begin with the string "com.ibm"
function ibm_id_form()
{
   // ONLINE FEEDBACK FORM: Start Customization

   // Note: The variable settings in this section can be overridden by setting
   // the variable in the documentation HTML file prior to calling this method.

   // Customize the product's division, name, and version settings.
   if (typeof mDivision == 'undefined') {
      mDivision = "";
   }
   if (typeof mProductName == 'undefined') {
      mProductName = "IBM Corporation";
   }
   if (typeof mProductVersion == 'undefined') {
      mProductVersion = "V.R.M";
   }

   // Enter list of e-mail addresses and groups (comma delimited) to which
   // the feedback form should be sent.
   if (typeof mToList == 'undefined') {
      mToList = "";
   }

   // Indicates if e-mail addresses and groups set in the feedback form should
   // be concatenated to the list specified in mToList.  "yes" means the lists
   // should be concatenated while "no" means only the list that is provided
   // in mToList will be used.  The default is to always concatenate.
   if (typeof mCatLists == 'undefined') {
      mCatLists = "yes";
   }

   // Only change the agent address if you setup a different Notes agent
   // to process the feedback requests.  The agent address is the Notes
   // agent that will process the feedback request.
   if (typeof mAgent == 'undefined') {
      mAgent = "smartfrm@us.ibm.com";
   }

   // Only change the feedback form plugin if you are not using the default
   // location.
   if (typeof plugin_form == 'undefined') {
      plugin_form = "com.ibm.websphere.wbpm.help.ic.doc/info";
   }

   // When set to "true" (default), this option will cause the feedback
   // form to be opened in a new window.  When set to "false", the form will
   // be opened in the existing window.
   if (typeof mNewWindow == 'undefined') {
      mNewWindow = true;
   }

   // Only change the following response page file name if you have customized
   // the default response page for your project.  This is the page that will
   // be displayed after the user submits the feedback form.  Specifying
   // an empty string will cause the default www.ibm.com response page to be
   // used.  The response page is assumed to be in the same plugin as the
   // feedback form.
   if (typeof mresponse_page == 'undefined') {
      mresponse_page = "reader-comment-responsev2.html";
   }

   // Only change the following feedback form file name if you have customized
   // the form for your project.
   if (typeof mfeedback_form == 'undefined') {
      mfeedback_form = "reader-comment-formv2.html";
   }
   // ONLINE FEEDBACK FORM: End Customization


   var mreplace, mhref, mframes;
   var mplugin = "unknown";

   // split the URL into levels
   var mlist = window.location.pathname.split("/");

   // traverse the levels of the URL to find the plugin (assumes plugin
   // starts with "com.ibm")
   for (x in mlist) {
      // does the level start with "com.ibm"?
      if (mlist[x].search(/^com.ibm/i) > -1) {
         // plugin name found; stop processing
         mplugin = mlist[x];
         break;
      }
   }

   // the last level in the URL should be the file name
   var mfile = mlist[mlist.length-1];

   // save the title of the current document
   var mtitle = document.title;

   // save the file language
   var filelanguage = document.documentElement.lang;

   // save the current URL for later reference
   var docURL = window.location.href;

   // when creating the URL for the feedback form, the current URL starting
   // at the plugin level until the end will be replaced
   mreplace =
      window.location.href.substr(window.location.href.indexOf(mplugin));

   // is the current page in frames or stand alone?
   mframes = "";
   if ((mreplace.search(/noframes=true/i) > -1) || mNewWindow) {
      // not using frames so add noframes indicator
      mframes = "noframes=true&";
   }

   // create the URL for the feedback response page if a response
   // page was provided and it doesn't start with "http" or "..";
   // if it does start with "http" or ".." the exact location of
   // the response page was provided so nothing else needs to be done
   if ((mresponse_page) && (mresponse_page.search(/^http/) == -1) &&
       (mresponse_page.search(/^\.\./) == -1)) {
      mresponse_page = window.location.href.replace(mreplace,
         plugin_form + "/" + mresponse_page);
      if (mframes) {
         mresponse_page = mresponse_page + "?" + mframes;
      }

      // provide an indication on the response URL if a new window
      // was open for the form so it can do some special processing
      if (mNewWindow) {
         if (mframes) {
            mresponse_page = mresponse_page + "newwindow=true";
         } else {
            mresponse_page = mresponse_page + "?newwindow=true";
         }
      }
   }

   // format the URL as follows:
   //
   //    Frames being used:
   //       URI/plugin_form/feedback_form_file?orig_plugin+orig_file_name+
   //          orig_doc_title+orig_doc_lang+prod_div+prod_name+prod_version+
   //          dev_to_list+cat_indicator+agent_address+document_url+
   //          response_page_url
   //    Frames not being used:
   //       URI/plugin_form/feedback_form_file?noframes=true&orig_plugin+
   //          orig_file_name+orig_doc_title+orig_doc_lang+prod_div+prod_name+
   //          prod_version+dev_to_list+cat_indicator+agent_address+
   //          document_url+response_page_url
   //
   // Note: The entire URL will be URL encoded.

   // create the URL for the feedback form
   mhref = encodeURI(window.location.href.replace(mreplace,
      plugin_form + "/" + mfeedback_form + "?" + mframes +
      mplugin + "+" + mfile + "+" + mtitle + "+" +
      filelanguage + "+" + mDivision + "+" + mProductName + "+" +
      mProductVersion + "+" + mToList + "+" + mCatLists + "+" +
      mAgent + "+" + docURL + "+" + mresponse_page));

   if (mNewWindow) {
      window.open(mhref);
   } else {
      // set the new location to the feedback form URL
      window.location = mhref;
   }
}
